%define url_ver %(echo %version | cut -d. -f1,2)

Summary:	A PackageKit client for the GNOME desktop
Name:	  	gnome-packagekit
Version:	3.10.1
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Packaging
Source0: 	https://download.gnome.org/sources/%{name}/%{url_ver}/%name-%version.tar.xz
URL:		http://www.packagekit.org
BuildRequires:	pkgconfig(packagekit-glib2) >= 0.7.0
BuildRequires:	pkgconfig(libnotify) >= 0.4.3
BuildRequires:	intltool > 0.35.0
BuildRequires:	itstool
BuildRequires:	gnome-doc-utils
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	libxslt-proc
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(unique-1.0) >= 0.9.4
BuildRequires:	libcanberra-devel >= 0.10
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.10
BuildRequires:	pkgconfig(upower-glib)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(polkit-gobject-1)
Requires:	%{name}-common = %{version}-%{release}

%description
gnome-packagekit are PackageKit client programs designed for the GNOME desktop.

%package common
Summary:	Common files and services for GNOME PackageKit
Group:		System/Packaging
Requires:	packagekit >= 0.4.8
Provides:	packagekit-gui
Conflicts:	kpackagekit
Conflicts:	%{name} < 3.0.3-2

%description common
Common files and services used by GNOME PackageKit. This packages provides
D-Bus service for packages installation.

%package extra
Summary:	Session applications to manage packages with GNOME PackageKit (extra bits)
Group:		System/Packaging
Requires:	%{name} = %{version}-%{release}

%description extra
Extra GNOME applications for using PackageKit that are not normally needed.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-scrollkeeper \
	--enable-systemd
%make

%install
%makeinstall_std

desktop-file-edit %{buildroot}%{_datadir}/applications/gpk-application.desktop

%find_lang %name --with-help

%files common -f %name.lang
%{_bindir}/gpk-install-*
%{_bindir}/gpk-dbus-service
%dir %{_datadir}/gnome-packagekit
%{_datadir}/gnome-packagekit/gpk-client.ui
%{_datadir}/gnome-packagekit/gpk-error.ui
%{_datadir}/gnome-packagekit/gpk-eula.ui
%{_datadir}/gnome-packagekit/gpk-log.ui
%{_datadir}/gnome-packagekit/gpk-update-viewer.ui
%{_datadir}/gnome-packagekit/gpk-signature.ui
%{_datadir}/gnome-packagekit/icons
%{_datadir}/GConf/gsettings/org.gnome.packagekit.gschema.migrate
%{_iconsdir}/hicolor/*/*/*
%{_mandir}/man1/gpk-install-*
%{_mandir}/man1/gpk-dbus-service*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/applications/gpk-install-*.desktop
%{_datadir}/applications/gpk-dbus-service.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.packagekit.gschema.xml

%files
%{_bindir}/gpk-application
%{_bindir}/gpk-log
%{_bindir}/gpk-prefs
%{_bindir}/gpk-update-*
%{_bindir}/gpk-distro-upgrade
%{_datadir}/applications/gpk-application.desktop
%{_datadir}/applications/gpk-prefs.desktop
%{_datadir}/applications/gpk-update-viewer.desktop
%{_datadir}/applications/gpk-distro-upgrade.desktop
%{python_sitelib}/packagekit/g*
%{_mandir}/man1/gpk-application*
%{_mandir}/man1/gpk-prefs*
%{_mandir}/man1/gpk-log*
%{_mandir}/man1/gpk-distro-upgrade*
%{_mandir}/man1/gpk-update*
%{_datadir}/gnome-packagekit/gpk-application.ui
%{_datadir}/appdata/gpk-application.appdata.xml
%{_datadir}/gnome-packagekit/gpk-prefs.ui
%{_datadir}/gnome-packagekit/gpk-update-viewer.ui
%{_datadir}/appdata/gpk-update-viewer.appdata.xml

%files extra
%{_bindir}/gpk-service-pack
%{_mandir}/man1/gpk-service-pack*
%{_datadir}/applications/gpk-log.desktop
%{_datadir}/applications/gpk-service-pack.desktop
%{_datadir}/gnome-packagekit/gpk-service-pack.ui


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542192
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497065
- new version 3.10.1

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484807
- new version 3.10.0

* Sun Sep 15 2013 dams <dams> 3.9.92-1.mga4
+ Revision: 479804
- new version 3.9.92

* Thu May 30 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 432928
- fix invalid desktop files
- new version 3.8.2
- update %%file

* Tue Jan 22 2013 fwang <fwang> 3.6.1-4.mga3
+ Revision: 390701
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-3.mga3
+ Revision: 352182
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 3.6.1-2.mga3
+ Revision: 323703
- rebuild for new pk

* Thu Nov 15 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 318047
- new version 3.6.1

* Wed Sep 26 2012 fwang <fwang> 3.6.0-1.mga3
+ Revision: 297834
- there is no patch0

  + ovitters <ovitters>
    - drop merged patch
    - new version 3.6.0

* Thu Aug 30 2012 fwang <fwang> 3.5.90-1.mga3
+ Revision: 285804
- fix desktop file fix
- update file list
- update file list

  + ovitters <ovitters>
    - new version 3.5.90

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271330
- new version 3.5.4
- update buildrequires
- new version 3.5.3

* Mon Jun 11 2012 ovitters <ovitters> 3.4.2-2.mga3
+ Revision: 259805
- enable systemd

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235657
- new version 3.4.2

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226720
- new version 3.4.0

* Sun Mar 18 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 223822
- new version 3.3.92

* Mon Feb 06 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205351
- new version 3.3.5

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184491
- new version 3.3.3

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155717
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148813
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145726
- new version 3.1.92

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136729
- fix desktop files
- new version 3.1.90

* Mon Jul 18 2011 ahmad <ahmad> 3.1.3-1.mga2
+ Revision: 125868
- Update to 3.1.3
- Change the BR to pkgconfig style
- Drop BR gnome-menus-devel, not needed any more

* Thu Jul 14 2011 ahmad <ahmad> 3.0.3-2.mga2
+ Revision: 124064
- Move %%{_datadir}/gnome-packagekit/gpk-log.ui to -common, otherwise
  gpk-dbus-service segfaults when searching for a command (e.g. when file-roller
  tries to open a .rar file and packagekit tries to install unrar).

* Tue Jul 05 2011 fwang <fwang> 3.0.3-1.mga2
+ Revision: 118592
- update file list
- add back gconf
- update file list
- new version 3.0.3

* Mon Feb 28 2011 eandry <eandry> 2.32.0-3.mga1
+ Revision: 61721
- BR libcanberra-gtk
- drop buildroot
- drop old conflicts/obsoletes/provides
- imported package gnome-packagekit


* Tue Nov 02 2010 Crispin Boylan <crisb@mandriva.org> 2.32.0-2mdv2011.0
+ Revision: 592023
- Rebuild

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581672
- new version

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 579018
- update to new version 2.31.92

* Wed Sep 01 2010 Emmanuel Andry <eandry@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 575143
- New version 2.31.91

* Fri Aug 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.31.6-2mdv2011.0
+ Revision: 573477
- remove application/x-deb from .desktop file, it can't be installed on Mandriva
  (mdv#60814)

* Tue Aug 17 2010 Emmanuel Andry <eandry@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 570976
- New version 2.31.6

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 2.30.3-3mdv2011.0
+ Revision: 564270
- rebuild for perl 5.12.1

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 2.30.3-1mdv2011.0
+ Revision: 561867
- new version 2.30.3

* Fri May 21 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 545647
- Disable font install feature by default

* Tue Apr 27 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539810
- new version 2.30.1

* Thu Apr 08 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 532876
- New release 2.30.0

* Sun Mar 21 2010 Funda Wang <fwang@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 526160
- finally update BR
- New version 2.29.91

* Tue Feb 02 2010 Funda Wang <fwang@mandriva.org> 2.29.3-1mdv2010.1
+ Revision: 499459
- Bump pk BR
- New version 2.29.3

* Wed Jan 13 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.2-2mdv2010.1
+ Revision: 490568
- Provides packagekit-gui
- Conflicts with kpackagekit (both are providing GUI dbus service)

* Fri Jan 08 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.2-1mdv2010.1
+ Revision: 487546
- Release 2.29.2
- split packages in three packages :
 - common for installer D-Bus service
 - main package for main UI
 - extras for non-essential UI

* Wed Dec 09 2009 Funda Wang <fwang@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 475547
- new version 2.29.1

* Wed Dec 09 2009 Funda Wang <fwang@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 475353
- new version 2.28.2

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458772
- Release 2.28.1

* Tue Sep 22 2009 Funda Wang <fwang@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 447118
- New version 2.28.0

* Sun Aug 09 2009 Funda Wang <fwang@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 412909
- new version 2.27.5

* Sun Jul 12 2009 Funda Wang <fwang@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 394940
- New version 2.27.3

* Fri Jun 05 2009 Funda Wang <fwang@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 382939
- update BR
- add BR
- New version 2.27.2

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 370465
- New version 2.27.1

* Sun Mar 15 2009 Funda Wang <fwang@mandriva.org> 0.4.5-1mdv2009.1
+ Revision: 355229
- update to new version 0.4.5

* Thu Mar 05 2009 Funda Wang <fwang@mandriva.org> 0.4.4-1mdv2009.1
+ Revision: 349004
- bump BR
- New version 0.4.4

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 0.4.3-2mdv2009.1
+ Revision: 336786
- BR unique

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 336784
- New version 0.4.3

* Fri Jan 23 2009 Funda Wang <fwang@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 332699
- new version 0.4.2
- New version 0.4.1

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.4.0-2mdv2009.1
+ Revision: 320276
- rebuild for new python

* Sat Dec 13 2008 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 313900
- BR gnome-menu
- New version 0.4.0

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 0.3.11-1mdv2009.1
+ Revision: 307355
- New version 0.3.11

* Wed Nov 12 2008 Funda Wang <fwang@mandriva.org> 0.3.10-1mdv2009.1
+ Revision: 302402
- New version 0.3.10

* Mon Oct 27 2008 Funda Wang <fwang@mandriva.org> 0.3.9-1mdv2009.1
+ Revision: 297551
- New version 0.3.9

* Tue Oct 21 2008 Funda Wang <fwang@mandriva.org> 0.3.8-1mdv2009.1
+ Revision: 296134
- New version 0.3.8

* Thu Oct 16 2008 Funda Wang <fwang@mandriva.org> 0.3.7-1mdv2009.1
+ Revision: 294093
- New version 0.3.7

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 0.3.6-1mdv2009.1
+ Revision: 292864
- New version 0.3.6

* Wed Oct 01 2008 Funda Wang <fwang@mandriva.org> 0.3.5-1mdv2009.0
+ Revision: 290433
- add dtd package
- add preun script
- BR docbook-utils
- New version 0.3.5

* Sun Sep 21 2008 Funda Wang <fwang@mandriva.org> 0.3.3-1mdv2009.0
+ Revision: 286284
- New version 0.3.3

* Wed Sep 10 2008 Funda Wang <fwang@mandriva.org> 0.3.2-1mdv2009.0
+ Revision: 283420
- New version 0.3.2

* Sun Aug 31 2008 Funda Wang <fwang@mandriva.org> 0.3.1-1mdv2009.0
+ Revision: 277771
- New versio 0.3.1

* Thu Aug 07 2008 Funda Wang <fwang@mandriva.org> 0.2.4-2mdv2009.0
+ Revision: 265670
- rebuild for new packagekit

* Wed Aug 06 2008 Funda Wang <fwang@mandriva.org> 0.2.4-1mdv2009.0
+ Revision: 264773
- New version 0.2.4

* Tue Jul 15 2008 Funda Wang <fwang@mandriva.org> 0.2.3-2mdv2009.0
+ Revision: 235756
- fix desktop icon name

* Sun Jul 13 2008 Funda Wang <fwang@mandriva.org> 0.2.3-1mdv2009.0
+ Revision: 234323
- BR glade
- add BR
- import gnome-packagekit


